# _____       _    _    Corso   Italia,  178
# (_|__   .  (_   |_|_  56125           Pisa
# (_|_) |)|(()_)()| |   tel.  +39  050 46380
#   |   |               picosoft@picosoft.it

#  Copyright (C) Picosoft s.r.l. 2002

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC=gcc
# CFLAGS=-DAIX4
CFLAGS=-O
OBJS=except.o giop.o iiopobj.o invoke.o message.o listener.o corba.o \
     connectn.o log.o iiopmain.o
HDRS=except.h giop.h iiopobj.h invoke.h message.h listener.h corba.h \
     connectn.h log.h method.h
LIBPICOIIOP=../lib/libpicoiiop.a

$(LIBPICOIIOP):$(OBJS)
	ar rv $(LIBPICOIIOP) $(OBJS)

except.o:except.c $(HDRS)
	$(CC) -c $(CFLAGS) except.c

giop.o:giop.c $(HDRS)
	$(CC) -c $(CFLAGS) giop.c

iiopobj.o:iiopobj.c $(HDRS)
	$(CC) -c $(CFLAGS) iiopobj.c

invoke.o:invoke.c $(HDRS)
	$(CC) -c $(CFLAGS) invoke.c

message.o:message.c $(HDRS)
	$(CC) -c $(CFLAGS) message.c

listener.o:listener.c $(HDRS)
	$(CC) -c $(CFLAGS) listener.c

corba.o:corba.c $(HDRS)
	$(CC) -c $(CFLAGS) corba.c

connectn.o:connectn.c $(HDRS)
	$(CC) -c $(CFLAGS) connectn.c

log.o:log.c $(HDRS)
	$(CC) -c $(CFLAGS) log.c

iiopmain.o:iiopmain.c $(HDRS)
	$(CC) -c $(CFLAGS) iiopmain.c

clean:
	rm -f $(LIBPICOIIOP)
	rm -f *.o
